package com.ruoyi.system.mapper.md;

import com.ruoyi.system.domain.md.NewmsgInbox;
import com.ruoyi.system.domain.md.NewmsgInboxExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface NewmsgInboxMapper {
    long countByExample(NewmsgInboxExample example);

    int deleteByExample(NewmsgInboxExample example);

    int deleteByPrimaryKey(String id);

    int insert(NewmsgInbox record);

    int insertSelective(NewmsgInbox record);

    List<NewmsgInbox> selectByExampleWithBLOBs(NewmsgInboxExample example);

    List<NewmsgInbox> selectByExample(NewmsgInboxExample example);

    NewmsgInbox selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") NewmsgInbox record, @Param("example") NewmsgInboxExample example);

    int updateByExampleWithBLOBs(@Param("record") NewmsgInbox record, @Param("example") NewmsgInboxExample example);

    int updateByExample(@Param("record") NewmsgInbox record, @Param("example") NewmsgInboxExample example);

    int updateByPrimaryKeySelective(NewmsgInbox record);

    int updateByPrimaryKeyWithBLOBs(NewmsgInbox record);

    int updateByPrimaryKey(NewmsgInbox record);
}